%define oname   ed25519
%define debug_package %{nil}

Name:       ruby-%{oname}
Version:    1.2.4
Release:    %mkrel 1
Summary:    An efficient digital signature library providing the Ed25519 algorithm
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/crypto-rb/ed25519
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: gcc

%description
A Ruby binding to the Ed25519 elliptic curve public-key signature system
described in RFC 8032.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i /s.signing_key/d %{oname}.gemspec

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_archdir}/ruby/%{oname}-%{version}/*

%files          doc
%doc %{gem_docdir}
%doc README.md


%changelog
* Wed Jul 20 2022 bcornec <bcornec> 1.2.4-1.mga9
+ Revision: 1869561
- Adds missing ruby-devel build dep
- Import ruby-ed25519
- Created package structure for ruby-ed25519.

